X2Go Bug report logs - #440
Convert from using QHttp to QNetworkAccessManager for Session Broker

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Joshua Lukens <jlukens@botch.com>

Date: Thu, 27 Feb 2014 14:45:01 UTC

Severity: wishlist

Tags: patch, pending

Found in version 4.0.1.3

Fixed in version 4.0.2.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#440; Package x2goclient. (Thu, 27 Feb 2014 14:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Joshua Lukens <jlukens@botch.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 27 Feb 2014 14:45:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Joshua Lukens <jlukens@botch.com>
To: submit@bugs.x2go.org
Subject: Convert from using QHttp to QNetworkAccessManager for Session Broker
Date: Thu, 27 Feb 2014 09:16:29 -0500
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.1.3
Severity: wishlist

QT lists QHttp as "This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code."  The current preferred method for making http/https request is to use QNetworkAccessManager.  The attached patch makes that conversion.  I've done light testing on patch with both OSX and Windows clients and it appears functional.
[switch-to-QNetworkAccessManager.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#440; Package x2goclient. (Thu, 27 Feb 2014 15:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 27 Feb 2014 15:20:01 GMT) (full text, mbox, link).


Message #10 received at 440@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 440@bugs.x2go.org
Cc: o.schneyder@phoca-gmbh.de
Subject: Request for patch review
Date: Thu, 27 Feb 2014 15:15:13 +0000
[Message part 1 (text/plain, inline)]
Hi Alex,

can you please review the proposed patch in #440 [1]?

Thanks,
Mike

[1] http://bugs.x2go.org/440
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 28 Feb 2014 12:00:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#440; Package x2goclient. (Fri, 28 Feb 2014 13:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 28 Feb 2014 13:45:01 GMT) (full text, mbox, link).


Message #17 received at 440@bugs.x2go.org (full text, mbox, reply):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 440@bugs.x2go.org, o.schneyder@phoca-gmbh.de
Subject: Re: Request for patch review
Date: Fri, 28 Feb 2014 14:23:40 +0100
[Message part 1 (text/plain, inline)]
Hi Mike,

it seems good to me. However I can not apply this patch on master branch:

$ git apply --check switch-to-QNetworkAccessManager.patch
error: patch failed: httpbrokerclient.cpp:93
error: httpbrokerclient.cpp: patch does not apply
error: patch failed: httpbrokerclient.h:62
error: httpbrokerclient.h: patch does not apply

please send correct patch for master branch *without* trailing
whitespaces and I'll test and apply it.

regards,
Alex

Am 27.02.2014 16:15, schrieb Mike Gabriel:
> Hi Alex,
> 
> can you please review the proposed patch in #440 [1]?
> 
> Thanks,
> Mike
> 
> [1] http://bugs.x2go.org/440


-- 
----------------------------------------------------
Oleksandr Shneyder  | Email: o.shneyder@phoca-gmbh.de
phoca GmbH          | Tel. : 0911 - 14870374 0
Bräuhausgasse 9     | Fax. : 0911 - 14870374 9
D-82205 Gilching    | Mobil: 0163 - 49 64 461

Geschäftsführung:
Dipl.-Inf. Oleksandr Shneyder

Amtsgericht München | http://www.phoca-gmbh.de
HRB 196 658         | http://www.x2go.org
USt-IdNr.: DE281977973
----------------------------------------------------

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#440; Package x2goclient. (Fri, 28 Feb 2014 14:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Josh Lukens <jlukens@botch.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 28 Feb 2014 14:20:02 GMT) (full text, mbox, link).


Message #22 received at 440@bugs.x2go.org (full text, mbox, reply):

From: Josh Lukens <jlukens@botch.com>
To: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, 440@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#440: Request for patch review
Date: Fri, 28 Feb 2014 08:53:15 -0500
[Message part 1 (text/plain, inline)]
Not sure what happened, I just rebaselined and recreated the patch.  New patch attached.  Note this also includes possible fix for bug 138.

[switch-to-QNetworkAccessManager-v2.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#440; Package x2goclient. (Sat, 01 Mar 2014 04:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Josh Lukens <jlukens@botch.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 01 Mar 2014 04:10:01 GMT) (full text, mbox, link).


Message #27 received at 440@bugs.x2go.org (full text, mbox, reply):

From: Josh Lukens <jlukens@botch.com>
To: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, 440@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#440: Bug#440: Request for patch review
Date: Fri, 28 Feb 2014 23:05:05 -0500
[Message part 1 (text/plain, inline)]
One last try.  Cleaned up trailing white space, removed password from debug output, and fixed some spacing.
[switch-to-QNetworkAccessManager-v3.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#440; Package x2goclient. (Mon, 03 Mar 2014 11:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 03 Mar 2014 11:00:02 GMT) (full text, mbox, link).


Message #32 received at 440@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 440-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 440@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Mon, 3 Mar 2014 11:56:07 +0100 (CET)
tag #440 pending
fixed #440 4.0.2.0
thanks

Hello,

X2Go issue #440 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=19fe787

The issue will most likely be fixed in src:x2goclient (4.0.2.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 19fe7875e2b8203780340272dc83189e9b8e470c
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Mar 3 11:55:44 2014 +0100

    Switch to QNetworkAccessManager. Appropriately set content type header to "application/x-www-form-urlencoded" for HTTP post requests. (Fixes: #440, #138).

diff --git a/debian/changelog b/debian/changelog
index 42c5799..daec032 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,6 +14,12 @@ x2goclient (4.0.2.0-0x2go1) UNRELEASED; urgency=low
       from terminal on linux and mac.
     - If no user in session config, display system username in pass form.
 
+  [ Josh Lukens ]
+  * New upstream version (4.0.2.0):
+    - Switch to QNetworkAccessManager. Appropriately set content type
+      header to "application/x-www-form-urlencoded" for HTTP post
+      requests. (Fixes: #440, #138).
+
   [ Mike Gabriel ]
   * debian/control:
     + Build-depend on libssh-dev (>= 0.5.4-2).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 03 Mar 2014 11:00:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.2.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 03 Mar 2014 11:00:03 GMT) (full text, mbox, link).


Message sent on to Joshua Lukens <jlukens@botch.com>:
Bug#440. (Mon, 03 Mar 2014 11:00:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#440; Package x2goclient. (Wed, 05 Mar 2014 03:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Josh Lukens <jlukens@botch.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 05 Mar 2014 03:40:01 GMT) (full text, mbox, link).


Message #44 received at 440@bugs.x2go.org (full text, mbox, reply):

From: Josh Lukens <jlukens@botch.com>
To: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, 440@bugs.x2go.org
Subject: Fix to copy/paste error in applied patch
Date: Tue, 4 Mar 2014 22:39:40 -0500
[Message part 1 (text/plain, inline)]
Found a small (but important) copy and paste error introduced when I remade the origional patch.  As is session broker sessions can't be properly selected.  The attached patch against head corrects the issue. 
[switch-to-QNetworkAccessManager-fix.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#440; Package x2goclient. (Wed, 05 Mar 2014 07:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 05 Mar 2014 07:45:02 GMT) (full text, mbox, link).


Message #49 received at 440@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Josh Lukens <jlukens@botch.com>, 440@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#440: Fix to copy/paste error in applied patch
Date: Wed, 05 Mar 2014 07:43:31 +0000
[Message part 1 (text/plain, inline)]
On  Mi 05 Mär 2014 04:39:40 CET, Josh Lukens wrote:

> Found a small (but important) copy and paste error introduced when I  
> remade the origional patch.  As is session broker sessions can't be  
> properly selected.  The attached patch against head corrects the  
> issue.

Committed and pushed:
http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=040c9423c2806de3236e8008059be30aa697ef81

THANKS!
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#440; Package x2goclient. (Thu, 10 Apr 2014 11:55:06 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 10 Apr 2014 11:55:06 GMT) (full text, mbox, link).


Message #54 received at 440@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 440-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 440@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 10 Apr 2014 13:52:13 +0200 (CEST)
close #440
thanks

Hello,

we are very hopeful that X2Go issue #440 reported by you
has been resolved in the new release (4.0.2.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.2.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=cbe900f245206ad9bd62d0fbaf226da1b3ffc44e;hp=f7cdada8c57c45ee9ea3b6c42bd680fae26d728c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.2.0-0x2go1
Status: RELEASE
Date: Thu, 10 Apr 2014 13:47:56 +0200
Fixes: 138 349 422 440 446 448 453
Changes: 
 x2goclient (4.0.2.0-0x2go1) RELEASED; urgency=low
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.2.0):
     - Revrite SSH Classes to support libssh fix.
     - Add Class HelpDialog to show options in scroll area.
     - Fix authentication on SSH Broker with key + passphrase.
     - Set modmap timer timeout to 10 sec on Mac.
     - Fix running xmodmap if X2Go Client not started from terminal.
     - Setting keyboard modifiers with xmodmap.
     - Fix multimonitor support on Linux.
     - Display more version info. Parameters --version, --git, --changelog.
     - Don't show GUI dialog for --version, --help, etc, if started
       from terminal on linux and mac.
     - If no user in session config, display system username in pass form.
     - Check if txt/changelog and txt/git exist on config phase.
       Rename option "--git" to "--git-info".
     - Change x2goclient.nsi for nightly builds.
 .
   [ Josh Lukens ]
   * New upstream version (4.0.2.0):
     - Switch to QNetworkAccessManager. Appropriately set content type
       header to "application/x-www-form-urlencoded" for HTTP post
       requests. (Fixes: #440, #138).
     - Fix copy+paste errors in QNetworkAccessManager code.
     - Provide support for dynamic authentication IDs. This is
       a requirement for using the broker client against brokers
       that use some sort of OTP authentication mechanism.
       (Fixes: #446).
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.2.0):
     - Drop create_text.sh again, implement changelog copying
       in distro build files. Implement Git history creation for
       nightly builds in build scripts.
     - Rename txt/git to txt/git-info (make it compliant with cmdline
       options).
     - Allow starting shadow sessions from the command line with
       option --hidden being enabled. (Fixes: #349).
   * debian/control:
     + Build-depend on libssh-dev (>= 0.5.4-2).
     + Bump Standards: to 3.9.5. No changes needed.
   * debian/rules:
     + Copy debian/changelog into txt/ subfolder during dh_auto_configure.
     + Create txt/git-info files for ChangeLog.git if it exists.
   * x2goclient.spec:
     + Copy ChangeLog (or debian/changelog) into txt/ subfolder during
       %setup.
     + Copy ChangeLog.gitlog (if present) into txt/ subfolder during %setup.
     + B-R (epel-7): man2html-core (same as for Fedora builds).
 .
   [ Mike DePaulo ]
   * New upstream version (4.0.2.0):
     - Decrease HelpDialog's tab width from 320 to 30
       (the width of 10 spaces.) (Fixes: #453)
     - Windows: Fix compatibility with PulseAudio 3.0 & later through
       new cookie handling. (Fixes: #422)
     - Windows: Upgrade included PulseAudio from 1.1 to 5.0.
       The 5.0 build is patched for X2Go bug #363. and available here:
         https://build.opensuse.org/project/show/home:mikedep333:branches:home:\
         mkbosmans:mingw32:pulseaudio
     - Windows: Reapply KDE on Windows's patch for Pageant support to
       libssh 0.5.5. (Fixes: #448)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 10 Apr 2014 11:55:11 GMT) (full text, mbox, link).


Notification sent to Joshua Lukens <jlukens@botch.com>:
Bug acknowledged by developer. (Thu, 10 Apr 2014 11:55:11 GMT) (full text, mbox, link).


Message sent on to Joshua Lukens <jlukens@botch.com>:
Bug#440. (Thu, 10 Apr 2014 11:55:14 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 09 May 2014 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Aug 24 15:48:31 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.